package lib

import (
	"ArmedPolice/utils"
	"testing"
)

type (
	structForSysConfig struct {
		ID        uint64 `json:"id"`
		Kind      int    `json:"kind"`
		Name      string `json:"name"`
		Key       string `json:"key"`
		Value     string `json:"value"`
		IsDeleted int    `json:"is_deleted"`
	}
)

func TestLoadConfig(t *testing.T) {
	values := make([]*structForSysConfig, 0)
	LoadConfig("../json/sys_config.json", &values)
	t.Log(utils.AnyToJSON(values))
}
